/*
 * BatchPerformance.h
 *
 */

#ifndef BATCHPERFORMANCE_H_
#define BATCHPERFORMANCE_H_


class BatchPerformance
{
public:
	static void batchStart(unsigned int bcounter, int batch_timetag, int avionics_timetag);
	static void batchEnd(unsigned int btype, unsigned int next_batch_duration_us);

	static void batchResultsRecevied(unsigned int bcounter);

	static const void* getLastOpaqueInfo(unsigned int& infosize);
};


#endif /* BATCHPERFORMANCE_H_ */
